[BlueOnyx:23825] Re: Problem with ImageMagick!! - Update of ImageMagick

Brent Epp brent at pdc.ca
Wed May 6 20:27:29 -05 2020


Hi Michael,

When I select DSO or mod_ruid2 for a vsite, that site gets kicked down 
to 5.4.16.  Interestingly, I get different version numbers in the site 
management than I do from phpinfo()

With PHP (DSO) + mod_ruid2:

   Site Management > [Site] > Services > Web: 5.6.36
   Site Management > [Site] > Services > PHP: 5.4.16 (there was one time 
where the version was blank)
   phpinfo: 5.4.16

With PHP (DSO)

   Site Management > [Site] > Services > Web: 5.6.36
   Site Management > [Site] > Services > PHP: 5.4.16
   phpinfo: 5.4.16

I get a version <select> for suPHP and FPM/FastCGI.  No such <select> 
for DSO or DSO + mod_ruid2, just displays the version.

The BlueOnyx panel also shows this error at the top sometimes when 
switching between execution modes:

   A PHP Error was encountered
   Severity: Notice
   Message: Undefined offset: 0
   Filename: modifyWeb.Vsite/10_PHP.php
   Line Number: 140

Let me know if you need any logs.

Thanks
  - Brent

On 2020-05-06 18:25, Michael Stauber wrote:
> Hi Brent,
>
>> However, it seems that it also broke DSO and mod_ruid2 execution modes.
>> We're okay to get around it with suPHP or FPM, which work, but now I'm
>> stuck with an issue that's preventing me from writing to the php.ini
>> files in /home/.sites/XXX/siteX
> Oh? In which way are these broken? And that's with the
> 5209R-PHP56-5.6.40-2.pkg?
>



More information about the Blueonyx mailing list